Subject: Re: NNCP discussion on comp.mail.uucp

From: Sergey Matveev <[email-masked]>
Date: Tue, 5 Jan 2021 18:07:07 +0300

*** John Goerzen [2021-01-04 11:46]:
>I think that since UUCPNET has been dead for more
>than two decades now, the only remaining UUCP networks are the small
>friend-to-friend kind anyhow.

Seems so indeed.

>NNCP automatic tossing.
>also had automatic calling

Both of these looks like easy to add.

>BTW, I have another post on the topic of ZFS and non-ZFS backups over NNCP:
>https://changelog.complete.org/archives/10186-more-topics-on-store-and-forward-possibly-airgapped-zfs-and-non-zfs-backups-with-nncp

Here I just want to add trivial comments for https://floss.social/@jgoerzen/105499269925205743

* Protection against Silent Data Corruption. Just want to mention that
  automatic self-healing (data correction) is performed also on a setup
  with just single disk. "Data" blocks, by default has just single copy
  and obviously they can not be repaired without redundancy. But metadata
  blocks ("inodes", dataset/zvol descriptions, block pointers, and so on)
  by default has copies=2 and physically they have two copies on the
  disk. Very important metadata blocks (meta object set (MOS),
  überblock) has copies=3. So metadata has (by default) redundancy and
  can be repaired by reading the copy from another part of the disk
* Built-in #compression with fast algorithms. Compression (at least the
  most simple rle one) should be enabled also because sparse
  (zero-filled) blocks won't be allocated at all. If no compression is
  enabled, then sparse files will be allocated and written to the disk

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF